#include <stdio.h>
#include <stdlib.h>
#include <conio.h>

#include "pictures.h"

int main()
{
	int done = 0;
	int index;
	int numFiles;
	int keyhit;

	LZW2BMP lzw2bmp;

	const char* bmpFileNames[] = {"Create", "Dng1", "Dng2", "Dng3", "End1", "End2", "Endsc",
		"Items", "Mon0", "Mon1", "Mon2", "Mon3", "Mon4", "Mon5", "Mon6", "Mon7",
		"Startsc", "Story1", "Story2", "Story3", "Story4", "Story5", "Story6",
		"Text", "Tiles", "Ultima"};

	numFiles = (sizeof(bmpFileNames)) / sizeof(char*);

	while (!done)
	{
		system("cls");

		printf("The files must be in a directory named lzw that is in this executables directory!\n");
		printf("This file only handles decompressed *.16 files!\n");
		printf("The files MUST be decompressed!\n\n");
		
		for(index = 0; index < numFiles; index++)
		{
			printf("%c: Decode %s.lzw\n", index + '1', bmpFileNames[index]);
		}
		printf("%c: Exit\n", numFiles + '1');

		_kbhit();
		keyhit = getch();

		keyhit -= '1';

		switch(keyhit)
		{
		case 1: //Dng1
		case 2: //Dng2
		case 3: //Dng3
			lzw2bmp.writegraphics(bmpFileNames[keyhit]);
			break;
		case 7: //Items
		case 8: //Mon0
		case 9: //Mon1
		case 10: //Mon2
		case 11: //Mon3
		case 12: //Mon4
		case 13: //Mon5
		case 14: //Mon6
		case 15: //Mon7
			lzw2bmp.writegraphics(bmpFileNames[keyhit], true);
			break;
		case 0: //Create
		case 4: //End1
		case 5: //End2
		case 6: //Endsc
		case 16: //Startsc
		case 17: //Story1
		case 18: //Story2
		case 19: //Story3
		case 20: //Story4
		case 21: //Story5
		case 22: //Story6
		case 23: //Text
		case 25: //Ultima
			lzw2bmp.writegraphics(bmpFileNames[keyhit]);
			break;
		case 24: //Tiles
			lzw2bmp.writetileslzw();
			break;
		default:
			exit(0);
		}
	}
	return 0;
}